const ripple = require('ripplelib')
const minimalistRekeyed = '3QBGZnmsg5UY2EoPFZXwo9238Yp6C9N9ztaRbURcYa49PhvCAtF'

let b = ripple.Base.decode_check(ripple.Base.VER_REKEYED, minimalistRekeyed)
let y = ripple.sjcl.codec.bytes.fromBits(b.toBits())
let rks = ripple.Base.encode_check(ripple.Base.VER_FAMILY_SEED, y.slice(0,16))
let familySeed = ripple.Base.encode_check(ripple.Base.VER_FAMILY_SEED, y.slice(16))
let seed = ripple.Seed.from_json(familySeed)

console.log('Address', seed.get_key().get_address().to_json())
console.log('Secret', familySeed);
